Subject: Network Issue

From: Marek Paśnikowski <[email-masked]>
Date: Wed, 30 Mar 2022 14:40:04 +0200

Greetings.

On Monday I installed the stable GuixSD on my newly acquired Lenovo
X200 with an Atheros Wi-Fi (ath9 driver). It worked like a charm, so I
decided to install the unstable variant.

Yesterday I lost half a day fighting to install and understand the
development release. The overall feeling of this particular issue is
that the kernel chokes on any significant Wi-Fi traffic and remains
under pressure even when I use the hardware switch to reload the
wireless card.

Today, I connect to the internet through an USB cable from my phone.
The wireless is disabled. System stability is perfect.

Could I ask for a configuration snippet which deploys an earlier
version of the kernel? This is my first serious attempt to learn Guix
and the documentation is unhelpful in this regard.

Thank You